﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
namespace WCF.IServiceAPI
{
    /// <summary>
    /// 服务接口
    /// </summary>
    [ServiceContract(Namespace= "http://yuhao.com")]
    public interface IProduct
    {
        [OperationContract]
        IEnumerable<Product> GetAll();

        [OperationContract]
        Product Get(string id);

        [OperationContract]
        void Add(Product product);

        [OperationContract]
        void Delete(string id);

        [OperationContract]
        void Update(Product product);
    }
}
