﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WCF.IServiceAPI;
namespace Wcf.Server
{
    public class ProductService:IProduct
    {
        private static IList<Product> Products = new List<Product>()
        {
            new Product{Id="1",ProductName="Iphone4s", Price="3700"},
            new Product{Id="2",ProductName="IPad3",Price="3200"}
        };

        #region IProduct 成员

        public IEnumerable<Product> GetAll()
        {
            return Products;
        }

        public Product Get(string id)
        {
            Product product = Products.FirstOrDefault(e => e.Id == id);
            if (null != product)
            {
                return product;
            }
            return null;
        }

        public void Add(Product product)
        {
            Products.Add(product);
        }

        public void Delete(string id)
        {
            Product product = this.Get(id);
            if (null != product)
            {
                Products.Remove(product);
            }
        }

        public void Update(Product product)
        {
            this.Delete(product.Id);
            Products.Add(product);
        }

        #endregion
    }
}
